Package org.apache.any23.extractor.html

## Class LicenseExtractorTest

- java.lang.Object
- - org.apache.any23.AbstractAny23TestBase
  - - org.apache.any23.extractor.html.AbstractExtractorTestCase
    - - org.apache.any23.extractor.html.LicenseExtractorTest

-     public class LicenseExtractorTest
      extends AbstractExtractorTestCase

  Reference Test class for the `LicenseExtractor` extractor.

- - ### Field Summary

    - ### Fields inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `baseIRI, conn`

    - ### Fields inherited from class org.apache.any23.AbstractAny23TestBase

      `tempDirectory, testFolder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LicenseExtractorTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExtractorFactory<?>` | `getExtractorFactory()` |
    `void` | `testEmpty()` |
    `void` | `testMixedCaseTitleTag()` |
    `void` | `testMultipleEmptyHref()` |
    `void` | `testMultipleLicenses()` |
    `void` | `testOnlyApache()` |
    `void` | `testOnlyCc()` |

    - ### Methods inherited from class org.apache.any23.extractor.html.AbstractExtractorTestCase

      `assertContains, assertContains, assertContains, assertContains, assertContains, assertContains, assertContainsModel, assertContainsModel, assertExtract, assertExtract, assertIssue, assertModelEmpty, assertModelNotEmpty, assertNoIssues, assertNotContains, assertNotContains, assertNotContains, assertNotContains, assertNotFound, assertStatementsSize, assertStatementsSize, assertStatementsSize, dumpAsListOfStatements, dumpHumanReadableTriples, dumpModelToNQuads, dumpModelToRDFXML, dumpModelToTurtle, extract, findExactlyOneBlankSubject, findExactlyOneObject, findObject, findObjectAsLiteral, findObjectAsResource, findObjects, findSubjects, getConnection, getIssues, getIssues, getReport, getStatements, getStatementsSize, setUp, tearDown`

    - ### Methods inherited from class org.apache.any23.AbstractAny23TestBase

      `copyResourceToTempFile, getDocumentSourceFromResource, getDocumentSourceFromResource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LicenseExtractorTest

          public LicenseExtractorTest()

  - ### Method Detail

    - #### getExtractorFactory

          public ExtractorFactory<?> getExtractorFactory()

      Specified by:
        `getExtractorFactory` in class `AbstractExtractorTestCase`
      Returns:
        the factory of the extractor to be tested.

    - #### testOnlyCc

          public void testOnlyCc()
                          throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testOnlyApache

          public void testOnlyApache()
                              throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testMultipleLicenses

          public void testMultipleLicenses()
                                    throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testMultipleEmptyHref

          public void testMultipleEmptyHref()
                                     throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testEmpty

          public void testEmpty()
                         throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`

    - #### testMixedCaseTitleTag

          public void testMixedCaseTitleTag()
                                     throws org.eclipse.rdf4j.repository.RepositoryException

      Throws:
        `org.eclipse.rdf4j.repository.RepositoryException`